function mtx = ProdColumns(a,order)
% function mtx = ProdColumns(a,order)
%  Returns a matrix of same # of rows as input 
%  with all possible unique combinations of length order of the columns of input
%  inputs:
%    a: the original matrix
%    order: the order--the number of columns to multiply
%  outputs:
%    mtx: the matrix
%  REA 6/29/09
    
[npnts,ncols] = size(a);
   % form the indexes of the columns
tfcols = logical(combinations(ncols,order));
if (numel(tfcols)==1) && (tfcols==false)
    ncrossprods = 0;
else
    ncrossprods = size(tfcols,1);
end
nprods = ncrossprods + ncols; % cross products and squares
mtx = NaN*ones(npnts,nprods);
k = 0;
while k<ncrossprods
    k = k+1;
    mtx(:,k) = prod(a(:,tfcols(k,:)),2);
end
for j = 1:ncols
    mtx(:,j+k) = a(:,j).^2;
end
            