function normvec = normrow(M)
%  norms of rows of a matrix
%  function normvec = normrow(M)
%  computes norm of each row of a matrix
%  inputs:
%     M: a matrix (2D array)
%  outputs:
%     normvec: a vector of the norms, length(normvec) = size(M,1)
%  REA Mar 19, 2011

[nrows,ncols] = size(M);
normvec = zeros(nrows,1);

for k=1:nrows
   normvec(k) = norm(M(k,:));
end
